Test::Set::SetAssignment Class Reference

Generate all set assignments. More...

`#include <set.hh>`

## Public Member Functions

| SetAssignment (int n, const Gecode::IntSet &d, int i=0)
| Initialize with n set variables, initial bound d and i int variables.
bool | operator() (void) const
| Test whether all assignments have been iterated.
void | operator++ (void)
| Move to next assignment.
int | operator[] (int i) const
| Return value for variable i.
int | intval (void) const
| Return value for first integer variable.
const Test::Int::Assignment & | ints (void) const
| Return assignment for integer variables.
int | size (void) const
| Return arity.
| ~SetAssignment (void)
| Destructor.

## Public Attributes

Gecode::IntSet | lub
| The common superset for all domains.
int | withInt
| How many integer variables to iterate.

## Detailed Description

Generate all set assignments.

Definition at line 142 of file set.hh.

## Constructor & Destructor Documentation

## SetAssignment()

Test::Set::SetAssignment::SetAssignment | ( | int | n,
|  | const Gecode::IntSet & | d,
|  | int | i = 0 )

Initialize with n set variables, initial bound d and i int variables.

Definition at line 68 of file set.cpp.

## ~SetAssignment()

Test::Set::SetAssignment::~SetAssignment | ( | void |  | ) |

inline

Destructor.

Definition at line 175 of file set.hh.

## Member Function Documentation

## operator()()

bool Test::Set::SetAssignment::operator() | ( | void |  | ) | const

inline

Test whether all assignments have been iterated.

Definition at line 160 of file set.hh.

## operator++()

void Test::Set::SetAssignment::operator++ | ( | void |  | ) |

Move to next assignment.

Definition at line 76 of file set.cpp.

## operator[]()

int Test::Set::SetAssignment::operator[] | ( | int | i | ) | const

inline

Return value for variable i.

Definition at line 164 of file set.hh.

## intval()

int Test::Set::SetAssignment::intval | ( | void |  | ) | const

inline

Return value for first integer variable.

Definition at line 169 of file set.hh.

## ints()

const Test::Int::Assignment & Test::Set::SetAssignment::ints | ( | void |  | ) | const

inline

Return assignment for integer variables.

Definition at line 171 of file set.hh.

## size()

int Test::Set::SetAssignment::size | ( | void |  | ) | const

inline

Return arity.

Definition at line 173 of file set.hh.

## Member Data Documentation

## lub

Gecode::IntSet Test::Set::SetAssignment::lub

The common superset for all domains.

Definition at line 154 of file set.hh.

## withInt

int Test::Set::SetAssignment::withInt

How many integer variables to iterate.

Definition at line 156 of file set.hh.

The documentation for this class was generated from the following files:

- test/set.hh
- test/set.cpp